﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using System.IO;

namespace MDIMVC
{
    public partial class MDIClient : Form, IMDIClient, IView
    {
        private CModell _modell;
        private CController _controller;
        private bool _bStart;


        public MDIClient(CModell modell, CController controller)
        {
            InitializeComponent();
            _modell = modell;
            _controller = controller;
            _controller.addObserver(this);
            _bStart = true;
        }

        private void MDIClient_Load(object sender, EventArgs e)
        {
            Editor.Dock = DockStyle.Fill;
            menuStrip1.Visible = false;  // wichtig, da Menüs im Hauptmenüs sind
            update();
            _bStart = false;
        }

        public void update()
        {
            //this.Text = Text + " y ";
            Editor.Text = _modell.Modell; ;
        }

        private void Editor_TextChanged(object sender, EventArgs e)
        {
            if (!_bStart)
            {
              //  this.Text = Text + "x";
                _modell.Modell = Editor.Text;
                _controller.notifyObservers();
            }
        }

        private void MnSave_Click(object sender, EventArgs e)
        {

        }
        public void save()
        {
            // hier Abfrage auf SaveAs
            _modell.saveFile();
        }

        public CModell getModell()
        {
            return _modell;
        }

        private void MnUndo_Click(object sender, EventArgs e)
        {
            Editor.Undo();
        }

        private void MnCut_Click(object sender, EventArgs e)
        {
            Editor.Cut();
        }

        private void MnCopy_Click(object sender, EventArgs e)
        {
            Editor.Copy();
        }

        private void MnPaste_Click(object sender, EventArgs e)
        {
            Editor.Paste();
        }

        private void MnselectAll_Click(object sender, EventArgs e)
        {
            Editor.SelectAll();
        }


    }
}
